"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "Block", {
  enumerable: true,
  get: function () {
    return _borsh.Block;
  }
});
Object.defineProperty(exports, "BlockSummary", {
  enumerable: true,
  get: function () {
    return _borsh.BlockSummary;
  }
});
Object.defineProperty(exports, "Call", {
  enumerable: true,
  get: function () {
    return _borsh.Call;
  }
});
Object.defineProperty(exports, "Calls", {
  enumerable: true,
  get: function () {
    return _borsh.Calls;
  }
});
Object.defineProperty(exports, "Contract", {
  enumerable: true,
  get: function () {
    return _borsh.Contract;
  }
});
Object.defineProperty(exports, "ExecutionSummary", {
  enumerable: true,
  get: function () {
    return _borsh.ExecutionSummary;
  }
});
Object.defineProperty(exports, "LocalMetadata", {
  enumerable: true,
  get: function () {
    return _borsh.LocalMetadata;
  }
});
Object.defineProperty(exports, "Outcome", {
  enumerable: true,
  get: function () {
    return _borsh.Outcome;
  }
});
Object.defineProperty(exports, "Outcomes", {
  enumerable: true,
  get: function () {
    return _borsh.Outcomes;
  }
});
Object.defineProperty(exports, "Shard", {
  enumerable: true,
  get: function () {
    return _borsh.Shard;
  }
});
Object.defineProperty(exports, "ShardMetadata", {
  enumerable: true,
  get: function () {
    return _borsh.ShardMetadata;
  }
});
Object.defineProperty(exports, "baseDecode", {
  enumerable: true,
  get: function () {
    return _borsh.baseDecode;
  }
});
Object.defineProperty(exports, "baseEncode", {
  enumerable: true,
  get: function () {
    return _borsh.baseEncode;
  }
});
Object.defineProperty(exports, "buildBlock", {
  enumerable: true,
  get: function () {
    return _borsh.buildBlock;
  }
});
Object.defineProperty(exports, "buildBlockSummary", {
  enumerable: true,
  get: function () {
    return _borsh.buildBlockSummary;
  }
});
Object.defineProperty(exports, "buildCall", {
  enumerable: true,
  get: function () {
    return _borsh.buildCall;
  }
});
Object.defineProperty(exports, "buildCalls", {
  enumerable: true,
  get: function () {
    return _borsh.buildCalls;
  }
});
Object.defineProperty(exports, "buildContract", {
  enumerable: true,
  get: function () {
    return _borsh.buildContract;
  }
});
Object.defineProperty(exports, "buildExecutionSummary", {
  enumerable: true,
  get: function () {
    return _borsh.buildExecutionSummary;
  }
});
Object.defineProperty(exports, "buildLocalMetadata", {
  enumerable: true,
  get: function () {
    return _borsh.buildLocalMetadata;
  }
});
Object.defineProperty(exports, "buildOutcome", {
  enumerable: true,
  get: function () {
    return _borsh.buildOutcome;
  }
});
Object.defineProperty(exports, "buildOutcomes", {
  enumerable: true,
  get: function () {
    return _borsh.buildOutcomes;
  }
});
Object.defineProperty(exports, "buildShard", {
  enumerable: true,
  get: function () {
    return _borsh.buildShard;
  }
});
Object.defineProperty(exports, "buildShardMetadata", {
  enumerable: true,
  get: function () {
    return _borsh.buildShardMetadata;
  }
});
Object.defineProperty(exports, "parseBlock", {
  enumerable: true,
  get: function () {
    return _borsh.parseBlock;
  }
});
Object.defineProperty(exports, "parseBlockSummary", {
  enumerable: true,
  get: function () {
    return _borsh.parseBlockSummary;
  }
});
Object.defineProperty(exports, "parseCall", {
  enumerable: true,
  get: function () {
    return _borsh.parseCall;
  }
});
Object.defineProperty(exports, "parseCalls", {
  enumerable: true,
  get: function () {
    return _borsh.parseCalls;
  }
});
Object.defineProperty(exports, "parseContract", {
  enumerable: true,
  get: function () {
    return _borsh.parseContract;
  }
});
Object.defineProperty(exports, "parseExecutionSummary", {
  enumerable: true,
  get: function () {
    return _borsh.parseExecutionSummary;
  }
});
Object.defineProperty(exports, "parseLocalMetadata", {
  enumerable: true,
  get: function () {
    return _borsh.parseLocalMetadata;
  }
});
Object.defineProperty(exports, "parseOutcome", {
  enumerable: true,
  get: function () {
    return _borsh.parseOutcome;
  }
});
Object.defineProperty(exports, "parseOutcomes", {
  enumerable: true,
  get: function () {
    return _borsh.parseOutcomes;
  }
});
Object.defineProperty(exports, "parseShard", {
  enumerable: true,
  get: function () {
    return _borsh.parseShard;
  }
});
Object.defineProperty(exports, "parseShardMetadata", {
  enumerable: true,
  get: function () {
    return _borsh.parseShardMetadata;
  }
});

var _borsh = require("./borsh.cjs");